package com.baicizhan.client.business.stats.report_v2

import com.google.gson.Gson
import java.util.*

/**
 * Created by Jacee.
 * Date: 2020.04.24
 */
object StatsUtils {

    @JvmStatic
    fun getParams(key: String, value: Any) = getParams(arrayOf(key), arrayOf(value))

    @JvmStatic
    fun getParams(keys: Array<String>, values: Array<Any>) = HashMap<String, String>(1).apply {
        if (keys.size != values.size) {
            throw RuntimeException("keys and values should match in size!")
        }
        put(Keys.EXTRA_INFO, Gson().toJson(HashMap<String, Any>(1).apply {
            keys.forEachIndexed { i, s ->
                put(s, values[i].toString())
            }
        }))
    }

}