package com.baicizhan.client.business.util

import kotlin.contracts.contract

/**
 * Created by Jacee.
 * Date: 2020.05.27
 */

inline fun <T, R> Collection<T>?.available(block: (Collection<T>) -> R?): R? {
    contract {
        returns(false) implies (this@available != null)
    }
    return if (this != null && this.isNotEmpty()) {
        block(this)
    } else null
}